import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.StringTokenizer;


/**
 * ICPC - CTU Open Contest 2021
 * Sample Solution: Elevator
 * 
 * @author Martin Kacer
 */
public class ElevatorMK {
	StringTokenizer st = new StringTokenizer("");
	BufferedReader input = new BufferedReader(new InputStreamReader(System.in));
	boolean hasNextToken() {
		try {
			while (!st.hasMoreTokens()) {
				String line = input.readLine();
				if (line == null) return false;
				st = new StringTokenizer(line);
			}
		} catch (IOException ex) { throw new RuntimeException(ex); }
		return true;
	}
	String nextToken() {
		return (!hasNextToken()) ? null : st.nextToken();
	}
	int nextInt() {
		return Integer.parseInt(nextToken());
	}
	public static void main(String[] args) {
		new ElevatorMK().run();
	}
	
	void run() {
		int tst = nextInt();
		while (tst-->0) {
			long sp = nextInt(), lp = nextInt(), ss = nextInt(), ls = nextInt();
			long ts = sp * ss, tl = (Math.abs(sp - lp) + sp) * ls, tc = Math.abs(sp - lp) * ss + lp * ls;
			System.out.println(Math.min(Math.min(ts, tl), tc));
		}
	}
}
